Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.model
Interface IPortletRefDescription

All Superinterfaces
  IOfferedEntity, IPlaceableDescription, Serializable

    public interface IPortletRefDescription

extends IPlaceableDescription

Portlet reference used in a book or a page.

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`String` | `getOrientation()` Returns the orientation of the portlet.
`String` | `getPortletHandle()` Returns portlet handle.
`ILocalizedString` | `getTitle()` Returns the title of the portlet.
`boolean` | `isDefaultMinimized()` Returns true if this portlet instance is minimized by default.

Methods inherited from interface com.bea.wsrp.model.IPlaceableDescription
`getAlignment, getPlaceholder, getPlacement, getPosition, getTheme, isDefault`

Methods inherited from interface com.bea.wsrp.model.IOfferedEntity
`getHandle`

Method Detail

### getPortletHandle

    String getPortletHandle()

  Returns portlet handle.

  Returns
    handle

### isDefaultMinimized

    boolean isDefaultMinimized()

  Returns true if this portlet instance is minimized by default.

  Returns
    minimized by default

### getOrientation

    String getOrientation()

  Returns the orientation of the portlet.

  Returns
    orientation

### getTitle

    ILocalizedString getTitle()

  Returns the title of the portlet.

  Specified by:
    `getTitle` in interface `IOfferedEntity`
  Returns
    title

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.